Index: trunk/abdev/BasicCompiler_Common/src/CommonCodeGenerator.cpp
===================================================================
--- trunk/abdev/BasicCompiler_Common/src/CommonCodeGenerator.cpp	(revision 247)
+++ trunk/abdev/BasicCompiler_Common/src/CommonCodeGenerator.cpp	(revision 248)
@@ -33,5 +33,5 @@
 	bool isSuccessful = false;
 
-	CodeGenerator::PertialSchedules::iterator it = pertialSchedules.begin();
+	PertialSchedules::iterator it = pertialSchedules.begin();
 	while( it != pertialSchedules.end() )
 	{
@@ -84,5 +84,5 @@
 	}
 }
-const CodeGenerator::PertialSchedule *CodeGenerator::__jmp_op_format( char opcode, long offset, int op_size, bool isPertialSchedule, bool isSelfOpcodeOffset )
+const PertialSchedule *CodeGenerator::__jmp_op_format( char opcode, long offset, int op_size, bool isPertialSchedule, bool isSelfOpcodeOffset )
 {
 	long beginCodePos = pNativeCode->GetSize();
@@ -158,45 +158,45 @@
 	return pPertialSchedule;
 }
-const CodeGenerator::PertialSchedule *CodeGenerator::op_jle( long offset, int op_size, bool isPertialSchedule )
+const PertialSchedule *CodeGenerator::op_jle( long offset, int op_size, bool isPertialSchedule )
 {
 	return __jmp_op_format( (char)0x0E, offset, op_size, isPertialSchedule );
 }
-const CodeGenerator::PertialSchedule *CodeGenerator::op_jbe( long offset, int op_size, bool isPertialSchedule )
+const PertialSchedule *CodeGenerator::op_jbe( long offset, int op_size, bool isPertialSchedule )
 {
 	return __jmp_op_format( (char)0x06, offset, op_size, isPertialSchedule );
 }
-const CodeGenerator::PertialSchedule *CodeGenerator::op_jge( long offset, int op_size, bool isPertialSchedule )
+const PertialSchedule *CodeGenerator::op_jge( long offset, int op_size, bool isPertialSchedule )
 {
 	return __jmp_op_format( (char)0x0D, offset, op_size, isPertialSchedule );
 }
-const CodeGenerator::PertialSchedule *CodeGenerator::op_jae( long offset, int op_size, bool isPertialSchedule )
+const PertialSchedule *CodeGenerator::op_jae( long offset, int op_size, bool isPertialSchedule )
 {
 	return __jmp_op_format( (char)0x03, offset, op_size, isPertialSchedule );
 }
-const CodeGenerator::PertialSchedule *CodeGenerator::op_jl( long offset, int op_size, bool isPertialSchedule )
+const PertialSchedule *CodeGenerator::op_jl( long offset, int op_size, bool isPertialSchedule )
 {
 	return __jmp_op_format( (char)0x0C, offset, op_size, isPertialSchedule );
 }
-const CodeGenerator::PertialSchedule *CodeGenerator::op_jb( long offset, int op_size, bool isPertialSchedule )
+const PertialSchedule *CodeGenerator::op_jb( long offset, int op_size, bool isPertialSchedule )
 {
 	return __jmp_op_format( (char)0x02, offset, op_size, isPertialSchedule );
 }
-const CodeGenerator::PertialSchedule *CodeGenerator::op_jg( long offset, int op_size, bool isPertialSchedule )
+const PertialSchedule *CodeGenerator::op_jg( long offset, int op_size, bool isPertialSchedule )
 {
 	return __jmp_op_format( (char)0x0F, offset, op_size, isPertialSchedule );
 }
-const CodeGenerator::PertialSchedule *CodeGenerator::op_ja( long offset, int op_size, bool isPertialSchedule )
+const PertialSchedule *CodeGenerator::op_ja( long offset, int op_size, bool isPertialSchedule )
 {
 	return __jmp_op_format( (char)0x07, offset, op_size, isPertialSchedule );
 }
-const CodeGenerator::PertialSchedule *CodeGenerator::op_jne( long offset, int op_size, bool isPertialSchedule )
+const PertialSchedule *CodeGenerator::op_jne( long offset, int op_size, bool isPertialSchedule )
 {
 	return __jmp_op_format( (char)0x05, offset, op_size, isPertialSchedule );
 }
-const CodeGenerator::PertialSchedule *CodeGenerator::op_je( long offset, int op_size, bool isPertialSchedule )
+const PertialSchedule *CodeGenerator::op_je( long offset, int op_size, bool isPertialSchedule )
 {
 	return __jmp_op_format( (char)0x04, offset, op_size, isPertialSchedule );
 }
-const CodeGenerator::PertialSchedule *CodeGenerator::op_jmp( long offset, int op_size, bool isPertialSchedule, bool isSelfOpcodeOffset )
+const PertialSchedule *CodeGenerator::op_jmp( long offset, int op_size, bool isPertialSchedule, bool isSelfOpcodeOffset )
 {
 	return __jmp_op_format( (char)0xEB, offset, op_size, isPertialSchedule, isSelfOpcodeOffset );
